Bug 1339670 - php process that loops indefinitely on a select system [NEEDINFO]
Summary: php process that loops indefinitely on a select system
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: php54
Version: php54
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Remi Collet
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 14:43 UTC by Patrick
Modified: 2019-12-16 05:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 15:02:02 UTC
Target Upstream Version:
pbajenez: needinfo? (rcollet)


Attachments (Terms of Use)

Description Patrick 2016-05-25 14:43:08 UTC
Created attachment 1161462 [details]
sosreport

Description of problem:


Version-Release number of selected component (if applicable):

PHP54-php54-php-5.4.16-7.el6.1.x86_64

How reproducible:

N/A

 

Actual results:

php process loops indefinitely on a select system call and uses 100% CPU. The gdb stack trace shows that the problem may be located in the memcache.so module. 

strace :

select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})
select(6, [5], [], NULL, {1, 0})        = 1 (in [5], left {0, 999998})

 Missing separate debuginfos, use: debuginfo-install php54-php-cli-5.4.16-7.el6.1.x86_64
(gdb) bt
#0  0x00000032116e1353 in __select_nocancel () from /lib64/libc.so.6
#1  0x00007fe47765c9c9 in mmc_pool_select () from /opt/rh/php54/root/usr/lib64/php/modules/memcache.so
#2  0x00007fe47765ccc8 in mmc_pool_run () from /opt/rh/php54/root/usr/lib64/php/modules/memcache.so
#3  0x00007fe477656883 in zif_memcache_get () from /opt/rh/php54/root/usr/lib64/php/modules/memcache.so
#4  0x000000000065c51c in ?? ()
#5  0x0000000000649d28 in execute ()
#6  0x00000000005d50ec in zend_call_function ()
#7  0x00000000005228d7 in ?? ()
#8  0x000000000065c51c in ?? ()
#9  0x0000000000649d28 in execute ()
#10 0x00000000005d50ec in zend_call_function ()
#11 0x00000000005f8a77 in zend_call_method ()
#12 0x000000000060622d in zend_std_call_user_call ()
#13 0x000000000065c51c in ?? ()
#14 0x0000000000649d28 in execute ()
#15 0x00000000005dff30 in zend_execute_scripts ()
#16 0x0000000000582bf8 in php_execute_script ()
#17 0x000000000068b4a3 in ?? ()
#18 0x000000000068bc68 in ?? ()
#19 0x000000321161ed5d in __libc_start_main () from /lib64/libc.so.6
#20 0x0000000000424109 in _start ()



Additional info:

Comment 7 Joe Orton 2016-10-12 12:52:33 UTC
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (October 2016) after which customers are encouraged either to upgrade to a later release or continue on as self-supported without official Red Hat Support.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Comment 8 Joe Orton 2017-03-31 15:02:02 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.